# Uses of Interface
java.lang.classfile.constantpool.MethodTypeEntry

Packages that use MethodTypeEntry
Package
Description
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

- ## Uses of MethodTypeEntry in java.lang.classfile.constantpool

  Methods in java.lang.classfile.constantpool that return MethodTypeEntry
  Modifier and Type
  Method
  Description
  `MethodTypeEntry`
  ConstantPoolBuilder.`methodTypeEntry(Utf8Entry descriptor)`
  Returns a `MethodTypeEntry` referring to a `Utf8Entry`.
  `MethodTypeEntry`
  ConstantPoolBuilder.`methodTypeEntry(MethodTypeDesc descriptor)`
  Returns a `MethodTypeEntry` describing the same method type as the provided `MethodTypeDesc`.